### Function

# Gimp Vectors import_from_file

#### Declaration [src]

    gboolean
    gimp_vectors_import_from_file (
      GimpImage* image,
      GFile* file,
      gboolean merge,
      gboolean scale,
      gint* num_vectors,
      GimpVectors*** vectors
    )

#### Description [src]

Import paths from an SVG file.

This procedure imports paths from an SVG file. SVG elements other than paths and basic shapes are ignored.

Available since: | 2.4

#### Parameters

`image` | `GimpImage`
| The image.
| The data is owned by the caller of the function.
`file` | `GFile`
| The SVG file to import.
| The data is owned by the caller of the function.
`merge` | `gboolean`
| Merge paths into a single vectors object.
`scale` | `gboolean`
| Scale the SVG to image dimensions.
`num_vectors` | `gint*`
| The number of newly created vectors.
| The argument will be set by the function.
`vectors` | An array of `None`
| The list of newly created vectors.
| The argument will be set by the function.
| The length of the array is specified in the `num_vectors` argument.
| The called function takes ownership of the data container, but not the data inside it.

#### Return value

Returns: | `gboolean`
| TRUE on success.